<?php

namespace App\Enums;

use App\Traits\Enums\WithCommentEnum;
use App\Traits\Enums\WithValueEnum;

enum Gender: int
{
    use WithCommentEnum, WithValueEnum;

    case MALE = 1;
    case FEMALE = 2;

    public function label(): string
    {
        return match ($this) {
            self::MALE => 'Laki-laki',
            self::FEMALE => 'Perempuan',
        };
    }

    public function color(): string
    {
        return match ($this) {
            self::MALE => 'blue',
            self::FEMALE => 'pink',
        };
    }
}
